# Module core::future 1.36.0[−][src]

Asynchronous values.

## Structs

PollFn | Experimental A Future that wraps a function returning `Poll`.
Pending | Creates a future which never resolves, representing a computation that never finishes.
Ready | Creates a future that is immediately ready with a value.

## Traits

IntoFuture | Experimental Conversion into a `Future`.
Future | A future represents an asynchronous computation.

## Functions

poll_fn | Experimental Creates a future that wraps a function returning `Poll`.
pending | Creates a future which never resolves, representing a computation that never finishes.
ready | Creates a future that is immediately ready with a value.